Package: java.org.codehaus.groovy.transform.powerassert

## [Java] Class ValueRecorder

- java.org.codehaus.groovy.transform.powerassert.ValueRecorder

- Records values produced during evaluation of an assertion statement's truth expression.

  Authors:
    Peter Niederwieser

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CLEAR_METHOD_NAME` |
    `static String` | `RECORD_METHOD_NAME` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `List<Value>` | `getValues()`
    `` | `Object` | `record(Object value, int anchor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final String CLEAR_METHOD_NAME

    - #### public static final String RECORD_METHOD_NAME

  - ### Method Detail

    - #### public void clear()

    - #### public List<Value> getValues()

    - #### public Object record(Object value, int anchor)